petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscDrawOpenX

Opens an X-window for use with the PetscDraw routines.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscDrawOpenX(MPI_Comm comm,const char display[],const char title[],int x,int y,int w,int h,PetscDraw *draw)

Collective on MPI_Comm Many br

### Input Parameters

| comm | - the communicator that will share X-window Many br
| display | - the X display on which to open,or null for the local machine Many br
| title | - the title to put in the title bar,or null for no title Many br
| x,y | - the screen coordinates of the upper left corner of window Many brmay use PETSC_DECIDE for these two arguments, then PETSc places the Many brwindow Many br
| w, h | - the screen width and height in pixels, or PETSC_DRAW_HALF_SIZE, PETSC_DRAW_FULL_SIZE, Many bror PETSC_DRAW_THIRD_SIZE or PETSC_DRAW_QUARTER_SIZE Many br

### Output Parameters

draw -the drawing context. Many br

### Options Database Keys

| -nox | - Disables all x-windows output Many br
| -display <name> | - Sets name of machine for the X display Many br
| -draw_pause <pause> | - Sets time (in seconds) that the Many brprogram pauses after PetscDrawPause() has been called Many br(0 is default, -1 implies until user input). Many br
| -draw_cmap <name> | - Sets the colormap to use. Many br
| -draw_cmap_reverse | - Reverses the colormap. Many br
| -draw_cmap_brighten | - Brighten (0 < beta < 1) or darken (-1 < beta < 0) the colormap. Many br
| -draw_x_shared_colormap | - Causes PETSc to use a shared Many brcolormap. By default PETSc creates a separate color Many brfor its windows, you must put the mouse into the graphics Many brwindow to see the correct colors. This options forces Many brPETSc to use the default colormap which will usually result Many brin bad contour plots. Many br
| -draw_fast | - Does not create colormap for countour plots. Many br
| -draw_double_buffer | - Uses double buffering for smooth animation. Many br
| -geometry | - Indicates location and size of window. Many br

Many br

### Note

When finished with the drawing context, it should be destroyed Many brwith PetscDrawDestroy(). Many br

### Note for Fortran Programmers

Whenever indicating null character data in a Fortran code, Many brPETSC_NULL_CHARACTER must be employed; using NULL is not Many brcorrect for character data! Thus, PETSC_NULL_CHARACTER can be Many brused for the display and title input parameters. Many br

### See Also

PetscDrawFlush(), PetscDrawDestroy(), PetscDrawCreate(), PetscDrawOpnOpenGL()

Level:beginner
Location:src/sys/classes/draw/impls/x/drawopenx.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages